package com.cool.store.request;

import com.cool.store.entity.FranchiseFeeDO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

@Data
public class FranchiseFeeRequest {

    private Long id;
    @ApiModelProperty("shopId")
    private Long shopId;
    @ApiModelProperty("payId")
    private Long payId;
    @ApiModelProperty("每年加盟费")
    private String yearFranchiseFee;
    @ApiModelProperty("贷款保证金")
    private String loanMargin;
    @ApiModelProperty("第一年度开始时间")
    private Date firstYearStartTime;
    @ApiModelProperty("第一年度结束时间")
    private Date firstYearEndTime;
    @ApiModelProperty("第一年度加盟费")
    private String firstYearFee;
    @ApiModelProperty("第二年度开始时间")
    private Date secondYearStartTime;
    @ApiModelProperty("第二年度结束时间")
    private Date secondYearEndTime;
    @ApiModelProperty("第二年度加盟费")
    private String secondYearFee;
    @ApiModelProperty("第仨年度开始时间")
    private Date thirdYearStartTime;
    @ApiModelProperty("第仨年度结束时间")
    private Date thirdYearEndTime;
    @ApiModelProperty("第仨年度加盟费")
    private String thirdYearFee;
    @ApiModelProperty("履约保证金")
    private String performanceBond;


    public FranchiseFeeDO toFranchiseFeeDO() {
        FranchiseFeeDO franchiseFeeDO = new FranchiseFeeDO();
        franchiseFeeDO.setShopId(this.shopId);
        franchiseFeeDO.setPayId(this.payId);
        franchiseFeeDO.setYearFranchiseFee(this.yearFranchiseFee);
        franchiseFeeDO.setLoanMargin(this.loanMargin);
        franchiseFeeDO.setFirstYearStartTime(this.firstYearStartTime);
        franchiseFeeDO.setFirstYearEndTime(this.firstYearEndTime);
        franchiseFeeDO.setFirstYearFee(this.firstYearFee);
        franchiseFeeDO.setSecondYearStartTime(this.secondYearStartTime);
        franchiseFeeDO.setSecondYearEndTime(this.secondYearEndTime);
        franchiseFeeDO.setSecondYearFee(this.secondYearFee);
        franchiseFeeDO.setThirdYearStartTime(this.thirdYearStartTime);
        franchiseFeeDO.setThirdYearEndTime(this.thirdYearEndTime);
        franchiseFeeDO.setThirdYearFee(this.thirdYearFee);
        franchiseFeeDO.setPerformanceBond(this.performanceBond);
        return franchiseFeeDO;
    }
}
